package param

// Login
// @description: 登陆
type Login struct {
	Account     string `json:"account" form:"account" label:"账号" binding:"required,min=2,max=20"`
	Password    string `json:"password" form:"password" label:"密码" binding:"required,min=8,max=32"`
	CaptchaId   string `json:"captchaId" form:"captchaId" label:"验证码ID" binding:"required"`
	CaptchaCode string `json:"captchaCode" form:"captchaCode" label:"验证码" binding:"required,max=4"`
}
